use 教学成绩管理数据库       --一次执行
go 

--1.删除表
drop table 学生信息表
go

--2.创建表
create table 学生信息表
( 学号 char(6) primary key ,
  姓名 nchar(4) not null ,
  性别 nchar(1) check(性别 in ('男','女')) , 
  民族 nchar(8) default '汉族' , /*设置默认值*/
  籍贯 nchar(20)
)
go
go

--3.验证, 执行后看看后两位同学的民族
insert 学生信息表 (学号, 姓名, 性别, 民族, 籍贯) 
   values('000001', '高八斗', '男', '满族', '山西省')
insert 学生信息表 (学号, 姓名, 性别, 籍贯)
   values('000002', '凌云霄', '男', '山东省')
insert 学生信息表 (学号, 姓名, 性别, 籍贯) 
   values('000003', '汪清水', '女', '上海市')
select * from 学生信息表


